Adding alt-tab patch ref. #303
rounded rectangles: fullscreen compatibility fix ref. #304
roundedcorners: moving drawroundedcorners logic to resizeclient ref. #304
rounded rectangles: fullscreen compatibility fix ref. #304

(cherry picked from commit 9a5378440c57718e6d219418eee4fd4f90704e74)
roundedcorners: moving drawroundedcorners logic to resizeclient ref. #304

(cherry picked from commit e6a74ad3ea480ff7262af104db440d6bda0ab5ab)
